Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.agent
Class KeyConstraints

    java.lang.Object
      com.sshtools.j2ssh.agent.KeyConstraints

public class KeyConstraints
extends java.lang.Object

DOCUMENT ME!

Field Summary
`static long` | `NO_LIMIT` DOCUMENT ME!
`static long` | `NO_TIMEOUT` DOCUMENT ME!
`protected static int` | `SSH_AGENT_CONSTRAINT_FORWARDING_PATH` DOCUMENT ME!
`protected static int` | `SSH_AGENT_CONSTRAINT_FORWARDING_STEPS` DOCUMENT ME!
`protected static int` | `SSH_AGENT_CONSTRAINT_NEED_USER_VERIFICATION` DOCUMENT ME!
`protected static int` | `SSH_AGENT_CONSTRAINT_SSH1_COMPAT` DOCUMENT ME!
`protected static int` | `SSH_AGENT_CONSTRAINT_TIMEOUT` DOCUMENT ME!
`protected static int` | `SSH_AGENT_CONSTRAINT_USE_LIMIT` DOCUMENT ME!

Constructor Summary
`KeyConstraints()` Creates a new KeyConstraints object.
`KeyConstraints(ByteArrayReader bar)` Creates a new KeyConstraints object.

Method Summary
`boolean` | `canUse()` DOCUMENT ME!
`java.lang.String` | `getForwardingPath()` DOCUMENT ME!
`long` | `getKeyTimeout()` DOCUMENT ME!
`long` | `getKeyUseLimit()` DOCUMENT ME!
`long` | `getMaximumForwardingSteps()` DOCUMENT ME!
`long` | `getUsedCount()` DOCUMENT ME!
`boolean` | `hasTimedOut()` DOCUMENT ME!
`boolean` | `isSSH1Compatible()` DOCUMENT ME!
`boolean` | `requiresUserVerification()` DOCUMENT ME!
`void` | `setForwardingPath(java.lang.String forwardingpath)` DOCUMENT ME!
`void` | `setKeyTimeout(UnsignedInteger32 timeout)` DOCUMENT ME!
`void` | `setKeyUseLimit(int uselimit)` DOCUMENT ME!
`void` | `setMaximumForwardingSteps(int maxsteps)` DOCUMENT ME!
`void` | `setRequiresUserVerification(boolean userverify)` DOCUMENT ME!
`void` | `setSSH1Compatible(boolean compat)` DOCUMENT ME!
`byte[]` | `toByteArray()` DOCUMENT ME!
`void` | `use()` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_TIMEOUT

    public static final long NO_TIMEOUT

  DOCUMENT ME!

  See Also:
    Constant Field Values

### NO_LIMIT

    public static final long NO_LIMIT

  DOCUMENT ME!

  See Also:
    Constant Field Values

### SSH_AGENT_CONSTRAINT_TIMEOUT

    protected static final int SSH_AGENT_CONSTRAINT_TIMEOUT

  DOCUMENT ME!

  See Also:
    Constant Field Values

### SSH_AGENT_CONSTRAINT_USE_LIMIT

    protected static final int SSH_AGENT_CONSTRAINT_USE_LIMIT

  DOCUMENT ME!

  See Also:
    Constant Field Values

### SSH_AGENT_CONSTRAINT_FORWARDING_STEPS

    protected static final int SSH_AGENT_CONSTRAINT_FORWARDING_STEPS

  DOCUMENT ME!

  See Also:
    Constant Field Values

### SSH_AGENT_CONSTRAINT_FORWARDING_PATH

    protected static final int SSH_AGENT_CONSTRAINT_FORWARDING_PATH

  DOCUMENT ME!

  See Also:
    Constant Field Values

### SSH_AGENT_CONSTRAINT_SSH1_COMPAT

    protected static final int SSH_AGENT_CONSTRAINT_SSH1_COMPAT

  DOCUMENT ME!

  See Also:
    Constant Field Values

### SSH_AGENT_CONSTRAINT_NEED_USER_VERIFICATION

    protected static final int SSH_AGENT_CONSTRAINT_NEED_USER_VERIFICATION

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### KeyConstraints

    public KeyConstraints()

  Creates a new KeyConstraints object.

### KeyConstraints

    public KeyConstraints(ByteArrayReader bar)
                   throws java.io.IOException

  Creates a new KeyConstraints object.

Parameters:
  `bar` - DOCUMENT ME!
Throws:
  `java.io.IOException` - DOCUMENT ME!

Method Detail

### setKeyTimeout

    public void setKeyTimeout(UnsignedInteger32 timeout)

  DOCUMENT ME!

  Parameters:
    `timeout` - DOCUMENT ME!

### setKeyUseLimit

    public void setKeyUseLimit(int uselimit)

  DOCUMENT ME!

  Parameters:
    `uselimit` - DOCUMENT ME!

### setMaximumForwardingSteps

    public void setMaximumForwardingSteps(int maxsteps)

  DOCUMENT ME!

  Parameters:
    `maxsteps` - DOCUMENT ME!

### setForwardingPath

    public void setForwardingPath(java.lang.String forwardingpath)

  DOCUMENT ME!

  Parameters:
    `forwardingpath` - DOCUMENT ME!

### setRequiresUserVerification

    public void setRequiresUserVerification(boolean userverify)

  DOCUMENT ME!

  Parameters:
    `userverify` - DOCUMENT ME!

### setSSH1Compatible

    public void setSSH1Compatible(boolean compat)

  DOCUMENT ME!

  Parameters:
    `compat` - DOCUMENT ME!

### getKeyTimeout

    public long getKeyTimeout()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getKeyUseLimit

    public long getKeyUseLimit()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getMaximumForwardingSteps

    public long getMaximumForwardingSteps()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getUsedCount

    public long getUsedCount()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### hasTimedOut

    public boolean hasTimedOut()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### canUse

    public boolean canUse()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### use

    public void use()

  DOCUMENT ME!

### getForwardingPath

    public java.lang.String getForwardingPath()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### requiresUserVerification

    public boolean requiresUserVerification()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### isSSH1Compatible

    public boolean isSSH1Compatible()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### toByteArray

    public byte[] toByteArray()
                       throws java.io.IOException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD